Subject: RE: RFC2461bis issue: clarity of using DHCP? [RE: Node Req: Issue 31: DHCPv6 text (ignore previous mails) (fwd)]

From: Soliman Hesham <[email-masked]>
Date: Fri, 21 Nov 2003 09:23:32 -0500

I think this issue is covered under issue 5:

Issue 5: Clarifying the use of the M and O flags
         (raised by Rolf and others during V6ops meeting 
          in San Francisco)

Hesham

 > Just bringing this issue up explicitly..
 > 
 > RFC2461bis may have to take a better stance on what using managed 
 > address autoconfiguration or getting other configuration means (as 
 > discussed in the DHCPv6 thread here).
 > 
 > No suggestions at this point, perhaps we'll have to see when 
 > we agree 
 > about the text for Node Requirements..
 > 
 > -- 
 > Pekka Savola                 "You each name yourselves king, yet the
 > Netcore Oy                    kingdom bleeds."
 > Systems. Networks. Security. -- George R.R. Martin: A Clash of Kings
 > ---------- Forwarded message ----------
 > Date: Thu, 20 Nov 2003 14:50:19 -0500
 > From: [email-masked]
 > To: [email-masked], [email-masked]
 > Subject: RE: Node Req: Issue31: DHCPv6 text (ignore previous mails)
 > 
 > 
 > > to:
 > > 
 > >    Nodes that implement DHCP MUST use DHCP upon the receipt of a 
 > >    Router Advertisement with the 'M' flag set (see section 
 > 5.5.3 of 
 > >    RFC2462).  In addition, in the absence of a router,
 > >    IPv6 Nodes that implement DHCP MUST attempt to use 
 > DHCP.  In this 
 > >    context, 'use DHCP' means trying to obtain both address(es) and 
 > >    other configuration information through DHCP.
 > 
 > This wording seems clumsy to me.  How about:
 > 
 > If no Router Advertisements are recieved within (NN seconds?) of
 > joining a link and sending a Router Solicitation, IPv6 hosts that
 > implement DHCPv6 should attempt to use DHCPv6 to obtain both
 > IPv6 address(es) and other configuration information.  [Do we
 > need to say what happens if a router advertisement is received
 > later?]
 > 
 > Upon receipt of a router advertisement with the 'M' flag set (see
 > section 5.5.3 of RFC 2462), IPv6 hosts that implement DHCPv6 
 > MUST attempt 
 > to use DHCPv6 to obtain both IPv6 addess(es) and other configuration
 > information.
 > 
 > > to:
 > > 
 > >    IPv6 Nodes (acting as hosts) that implement DHCP, MUST use 
 > > DHCP upon 
 > >    the receipt of a Router Advertisement with the 'O' flag 
 > set (see 
 > >    section 5.5.3 of RFC2462).  In addition, in the
 > >    absence of a router, hosts that implement DHCP MUST 
 > attempt to use
 > >    DHCP. In this context, 'use DHCP' means trying to obtain 
 > > only other 
 > >    configuration information through DHCP, not address(es).
 > > 
 > >    IPv6 Nodes that do not implement DHCP can ignore the 'O' flag 
 > >    of a Router Advertisement.  Furthermore, in the absence of
 > >    a router, these types of node are not required to initiate DHCP.
 > 
 > Similarly, how about:
 > 
 > "Upon reciept of a Router Advertisement with the 'O' flag set (see
 > section 5.5.3 of RFC 2462), IPv6 hosts that implement DHCPv6 MUST
 > attempt to use DHCPv6 to obtain non-address configuration 
 > information,
 > but not IPv6 address(es). 
 > 
 > IPv6 nodes that do not implement DHCPv6 client functionality should
 > ignore the 'M' and 'O' bits of the router advertisement."
 > 
 > The no router case shouldn't be repeated here, as it is covered
 > above.  And, yes, I do think that hosts should attempt to use
 > DHCPv6 to get IPv6 addresses in the absence of a router.  Also, I 
 > think it is silly to say that hosts that don't implement DHCPv6 
 > don't need to use it...
 > 
 > 
 > --------------------------------------------------------------------
 > IETF IPv6 working group mailing list
 > [email-masked]
 > Administrative Requests: https://www1.ietf.org/mailman/listinfo/ipv6
 > --------------------------------------------------------------------
 > 
 > 
 > --------------------------------------------------------------------
 > IETF IPv6 working group mailing list
 > [email-masked]
 > Administrative Requests: https://www1.ietf.org/mailman/listinfo/ipv6
 > --------------------------------------------------------------------
 > 

--------------------------------------------------------------------
IETF IPv6 working group mailing list
[email-masked]
Administrative Requests: https://www1.ietf.org/mailman/listinfo/ipv6
--------------------------------------------------------------------